Subject: Re: [IPV6] Fix ICMPv6 redirect handling with target multicast address

From: Brian Haley <[email-masked]>
Date: Mon, 01 Oct 2007 13:36:24 -0400

Hi,

YOSHIFUJI Hideaki / 吉藤英明 wrote:
>>>         I think it'd also be better if you add the check to be:
>>>
>>>         if (ipv6_addr_type(target) & 
>>> (IPV6_ADDR_LINKLOCAL|IPV6_ADDR_UNICAST))
>>>
>>> or something along those lines, rather than reproducing ipv6_addr_type() 
>>> code
>>> separately in a new ipv6_addr_linklocal() function.
> 
> I'm fine with the idea of the fix itself.

Ok, in both the receive and send code?

> Please use ipv6_addr_type() so far and convert other users as well
> to ipv6_addr_linklocal() in another patch.

I'll re-do the patch.

-Brian